Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 04-09-2019 05:01:28

Guy19550
Membre
Inscription : 10-08-2016

Problème de noyau avec Stretch sur vieux PC

Bonjour,

Je suis sous XFCE Stretch sur un Dell X300, en ayant fait un upgrade de distribution de Jessie à Stretch. Tout fonctionne après l'upgrade de distribution, sauf l'extinction du PC.
J'ai trouvé que la cause vient du noyau linux en cherchant sur internet, j'avais 2 causes possibles, soit le noyau linux, soit le Bios à mettre à jour. J'ai le Bios A10 et Dell ne propose pas mieux, donc cela ne vient pas du bios. Reste donc le noyau linux selon mes recherches.

A l'extinction, j'ai un écran mal éteint et des loupiottes qui restent allumées (toutes sauf celle du disque dur).
J'ai ceci à l'écran au démarrage :

1567567305.jpg

Je n'ai que deux lignes sous Jessie

Ensuite j'ai fait un démarrage avec l'ancien noyau et là tout semble ok :

1567567570.jpg

Je suppose donc que c'est ok, puisqu'en démarrant sur l'ancien noyau, c'est correct.

Peut-on faire de sorte et sans risque pour la suite pour toujours démarrer sur l'ancien noyau, ou vaut-il mieux attendre pour un changement du noyau ?
S'il existe une solution sans risque je suis preneur, mais sans une telle solution, je préfère attribuer une licence XP au PC ou tenter Xubuntu qui marche sur un autre X300

Eventuellement, est-ce que cela peut provenir de la première ligne du fichier sources.list qui n'a pas été modifié en ajoutant "contrib non-free" ?

Dernière modification par Guy19550 (04-09-2019 05:10:38)

Hors ligne

#2 04-09-2019 08:14:55

Caribou22
Br3izhG33k =)
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stable
Noyau : Sans pépins
(G)UI : Xfce, Gnome
Inscription : 10-11-2014
Site Web

Re : Problème de noyau avec Stretch sur vieux PC

Bonjour smile

Après une recherche sur le message j'ai trouvé ça : https://01.org/comment/2855#comment-2855

Essaye un démarrage temporaire avec le paramètre i915.enable_rc6=0 pour voir.

Pour ça, appuie sur la touche E à l'apparition de GRUB. Tu auras un fichier texte qui apparaît. repère sur celui-ci une liste commençant par Linux et finissant par quiet splash.
Sur cette ligne ajoute à la fin i915.enable_rc6=0 afin que la ligne finisse par quiet splash i915.enable_rc6=0
Puis appuie sur F10 pour démarrer. Si l'ordi déarre, fonctionne et s'éteint correctement, on pourra ajouter définitivement ce paramètre wink

Hors ligne

#3 04-09-2019 23:38:01

Guy19550
Membre
Inscription : 10-08-2016

Re : Problème de noyau avec Stretch sur vieux PC

Bonjour Caribou, je suis content que ce soit toi qui réponde, car c'est également toi qui était intervenu le plus lors des problèmes rencontrés auparavant avec les installations des 3 PC du même type (bien que Dell ait produit des PC différents sous le même nom), les interventions précédentes peuvent se retrouver ici :

https://debian-facile.org/viewtopic.php?id=19960

C'était pour Jessie à l'époque, qui a bien pu être installé, mais jamais stretch. Maintenant stretch est dessus par l'upgrade de distribution.

J'ai bien compris ton message, il est clair pour moi, mais je n'ai pas de splash, simplement quiet et en plus il y a forcepae avant. J'ai pris une photo :

1567636192.jpg

J'ai essayé toutes les combinaisons 2x car parfois je peux faire des erreurs au clavier (j'ai un clavier azerty et ce serait plus facile à faire avec un clavier qwerty), avec et sans ajout de splash. Aucune essai n'est concluant, il démarre toujours mais ne s'étreint jamais correctement.

J'en ai deux autres, dont un avec un dualboot XP/Xubuntu, je vais voir sur celui-là pour prendre une photo également. Ce PC avait initialement un dualboot avec Wheezy car il ne voulaits pas de Jessie et Whezzy ayant arrêté, j'avais réussi à mettre Xubuntu dessus, j'en parle ici :

https://debian-facile.org/viewtopic.php?id=18643

1567639418.jpg

$vt_handoff
Je vais essayer cela encore mais bien que ce soit en Anglais, pour moi, ce que je fais, c'est du chinois. Ce n'est évidemment pas la même image du noyau.

Cela a été essayé à deux reprises à cause des erreurs possibles au clavier comme avant et chaque fois dans les deux cas, avec et sans le splash, mais cela ne change rien. Le PC démarre toujours correctement, mais c'est l'extinction qui flanche.

J'attends encore un peu pour voir si les neurones de Ubuntu peuvent se rencontrer avec ceux de Debian pour éventuellement avoir d'autres idées. Je pense cependant qu'on est très près d'une solution au problème, bien que je ne sache pas si elle existe. Il marche bien sur l'ancien noyau, sauf pour Firefox qui patauge car si les autres ont été upgradé en Ram à 1GB, celui-ci n'a que 512 MB et 1GB est en commande en Chine, ce qui peut prendre 6 semaines pour arriver.

Pour le moment les images des partitions Jessie et Stretch son encore interchangeables, j'ai essayé cela et c'est ok. Je vais essayer une installation de Xubuntu pour voir ce que cela donne, mais je ne peux pas garantir pourvoir revenir en arrière avec cela après car j'en ai déjà eu la surprise avant.

Dernière modification par Guy19550 (05-09-2019 04:47:48)

Hors ligne

#4 07-09-2019 02:05:06

Guy19550
Membre
Inscription : 10-08-2016

Re : Problème de noyau avec Stretch sur vieux PC

Bonjour,

J'ai voulu poursuivre mon message antérieur en disant que j'ai commencé avec Xubuntu, mais je n'ai pas été en mesure de le faire à cause d'un entretien du site et après je n'ai plus essayé. Je continue maintenant. XUbuntu est dessus et cela fonctionne, rien n'a été ajouté pour les applications multimedia, l'extinction se fait correctement ainsi que l'allumage. Les applications multimedia peuvent s'installer sous Xubuntu assez facilement avec l'aide des liens wiki. Je ne l'ai pas fait dans ce cas ci.

J'ai eu également des problèmes pour installer Xubuntu avec 632 MB de Ram, j'ai remplacé la barrette de 1 GB d'un autre par une 512 MB de celui-ci et là l'installation se fait normalement. Possible aussi que stretch ne voulait pas s'installer à cause de la Ram et maintenant cela avait été fait avec un upgrade de distribution et là cela s'était fait normalement.

Firefox sous Stretch patauge avec 632 MB de Ram, pas essayé sous XUbuntu (utilise une version de Firefox encore supérieure à celle de Debian), Chromium a été installé et est devenu le navigateur par défaut.

Forcepae doit s'utiliser aussi bien pour l'installation de Xubuntu que pour faire la sauvegarde des images.

Donc pour résumer, les dernières versions du Dell Latitude X300 avec un OS autre que Windows XP, semblent être Debian Jessie ou Ubuntu Bionic.

Je préfère Debian à Xubuntu pour la fluidité et le dock mais dans ce cas-ci, le choix de Xubuntu est innévitable et forcé.

Dernière modification par Guy19550 (07-09-2019 02:08:11)

Hors ligne

#5 18-12-2020 03:26:38

Guy19550
Membre
Inscription : 10-08-2016

Re : Problème de noyau avec Stretch sur vieux PC

Je peux compléter cette discussion par deux choses :

La première est que j'ai été obligé de tout revoir car Xubuntu a arrêté avec 32 bits. J'ai donc encore essayé Stretch à la suite de cela et ça ne s'installe toujours pas. Mais cela fait aussi déjà un bout de temps que je patauge avec Buster et je me suis rendu compte que j'avais des installations volumineuses et cela tient du fait que je n'utilisais pas les CD de t-install pour Buster. J'ai donc téléchargé la version 32 bits et la version 64 bits du CD t-install. Ici pour le X300, c'est évidemment la version 32 bits à utiliser. Cela s'installe correctement. Donc Buster 32 bits avec t-install reste dessus et j'ai fait pareil avec le second X300. Le troisième est avec XP et reste ainsi.

La seconde chose concerne clonezilla, j'ai constaté que suite aux problèmes avec les dernières versions de linux, que je n'utilise plus les versions non-pae du logiciel et c'est toujours la version pae que j'utilise. C'est probablement la raison de devoir utiliser le paramètre "forcepae". Cela ne tiendrait qu'à télécharger la version non pae du logiciel, mais le hic est que j'en ai déjà téléchargé au moins 5x et que j'ai souvent des problèmes. Quand l'un ne va pas, je prends l'autre. C'est ainsi que je n'utilise plus que la version pae du logiciel, mais il est possible qu'en donnant du temps au temps, je finisse par trouver une version non pae du logiciel qui fonctionne. Je n'ai plus essayé récemment car j'en ai eu marre.

Dernière modification par Guy19550 (18-12-2020 03:28:48)

Hors ligne

Pied de page des forums